package com.hikcreate.schedul;

import com.hikcreate.drv_photo_pic.DrvPhoto;
import com.hikcreate.drv_photo_pic.Vehicle;
import com.hikcreate.utils.DateUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import java.util.Date;

@Component
public class PicSchedule {

    @Autowired
    private DrvPhoto drvPhoto;
    @Autowired
    private Vehicle vehicle;

    @Value("${pastDay}")
    private int pastDay;



    /**
     * 每天早上10点同步驾驶人头像增量数据
     */
    @Scheduled(cron = "0 0 10 * * *")
    public void getIncrementDrvPhoto(){
        drvPhoto.getIncrementDrvPhoto();
    }



    /**
     * 每天早上9点同步机动车的增量数据
     */
//    @Scheduled(cron = "0 0 9 * * *")
    public void  getIncrementVehPic(){
        vehicle.getIncrementVehPic();
    }
}
