package com.hikcreate.service.fdfs.service.impl;

import com.github.tobato.fastdfs.service.FastFileStorageClient;
import com.hikcreate.service.fdfs.FastDFSClient;
import com.hikcreate.service.fdfs.service.FileService;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import javax.annotation.Resource;
import java.io.IOException;

/**
 * @author 赵东
 * @create 2019/3/22 13:45
 */
@Service("fileServiceImpl")
public class FileServiceImpl implements FileService {
    private static Logger logger = LoggerFactory.getLogger(FileServiceImpl.class);
    @Resource
    private FastDFSClient fastDFSClient;


    @Override
    public synchronized String uploadFile(byte[] file, String fileName) throws IOException, InterruptedException {
        Thread.sleep(10);
        //将文件上装到fast文件服务器上，成功则返回文件保存的路径
        String path = fastDFSClient.uploadFile(file, fileName);
        if (!StringUtils.hasText(path)) {
            logger.error("Upload Img Error");
        }
        return "/group" + path.split("group")[1];
//        try {
//            Thread.sleep(10);
//            //将文件上装到fast文件服务器上，成功则返回文件保存的路径
//            String path = fastDFSClient.uploadFile(file, fileName);
//            if (!StringUtils.hasText(path)) {
//                logger.error("Upload Img Error");
//            }
//            return "/group" + path.split("group")[1];
//        } catch (Exception e) {
//            e.printStackTrace();
//            return "false";
//        }
    }

    @Override
    public byte[] downloadFile(String path) {
        return fastDFSClient.download(path);
    }

    @Override
    public void deleteFile(String path) {
        fastDFSClient.deleteFile(path);
    }


}
